html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Montserrat', Arial, sans-serif;
}

h2{
    font-family: 'Montserrat', Arial, sans-serif;
}

p{
    font-family: 'Montserrat', Arial, sans-serif;
}

a{
    font-family: 'Montserrat', Arial, sans-serif;
    text-decoration: none;
}

a:hover{
    text-decoration: none;
}

h3{
    font-family: 'Montserrat', Arial, sans-serif;
}

main{
    z-index: 1;
}

/* BARRA DE NAVEGACION */

#contacto-nav{
    /* z-index: -1; */
    position: relative;
    height: 4.210526315vw;
    background-color: #001c44;
    display: flex;
    justify-content: center;
}

.contacto-nav-container a{
    color: white;
}

.contacto-nav-container a:hover{
    opacity: 0.7;
}

.contacto-nav-container{
    color: white;
    width: 70%;
}

nav{
    width: 100%;
    height: 4.7368421vw;
    /* padding: 1.0526315vw 0; */
    display: flex;
    justify-content: center;
    z-index: 2;
    position: absolute;
    top: 2.105263157vw;
}

.nav-container{
    width: 70%;
    height: 4.7368421vw;
    /* padding: 1.57894736vw 0; */
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    border: 0.15789473vw solid black;
    border-radius: 2.631578947vw;
    background-color: white;
    /* z-index: 999; */
    /* position: fixed; */
    overflow: hidden;
}

.nav-logo-container{
    width: 30%;
    height: 100%;
    display: none;
    justify-content: center;
    align-items: center;
}

.nav-enlaces-container{
    height: 100%;
    width: 100%;
}

.nav-logo h1{
    margin: 0;
    font-size: 1.2631578vw;
}

.nav-logo-container label{
    display: none;
}

.nav-enlaces{
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-item{
    width: 20%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: black;
    font-size: 1.0526315vw;
}

.nav-item:hover{
    background-color: #ebf6fc;
    color: black;
}

.nav-item-img{
    height: 100%;
    width: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
}


.nav-item-img img{
    height: 95%;
}



/* NOSOTROS */

#nosotros{
    padding: 4.210526315vw 0;
    background-color: #ebf6fc;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nosotros-container{
    width: 80%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nosotros-img{
    width: 40%;
    display: flex;
    justify-content: center;
}

.nosotros-img img{
    width: 60%;
}

.nosotros-txt{
    width: 35%;
}

.nosotros-txt h1{
    font-size: 1.57894736vw;
}

.nosotros-txt h2{
    font-size: 2.105263157vw;
    font-weight: 700;
}

.blue{
    color: #0f007c;
}

.nosotros-txt p{
    font-size: 1.157894736vw;
    line-height: 1.3;
    text-align: justify;
}

/* WISP */

#wisp{
    padding: 4.210526315vw 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.wisp-container{
    width: 80%;
}

.wisp-txt{
    padding: 0.78947368vw 2.631578947vw;
}

.wisp-txt p{
    text-align: center;
    font-size: 1.57894736vw;
}

.wisp-boxes{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.wisp-box-border{
    padding: 5% 10%;
}

.wisp-box{
    display: flex;
    justify-content: space-evenly;
    padding: 5% 0;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 0.263157894vw 0.78947368vw;
    border-radius: 1.05263157vw;
}

.box-img{
    width: 30%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box-img img{
    width: 70%;
}

.box-txt{
    width: 40%;
    display: flex;
    align-items: center;
    font-size: 0.8421052631vw;
    font-weight: 700;
}

/* REDES */

#redes{
    padding: 4.210526315vw 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #363198;
}

.redes-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.redes-box-container{
    width: 30%;
    padding: 3.684210526vw 3.15789473vw;
    margin: 1.57894736vw 0;
    display: flex;
    /* align-items: center; */
    justify-content: center;
}

.redes-img{
    width: 20%;
}

.redes-img img{
    width: 100%;
}

.redes-box h2{
    color: white;
    font-weight: 700;
    font-size: 2.36842105vw;
}

.redes-box{
    color: white;
    font-size: 1.05263157vw;
    display: flex;
    flex-direction: column;
    text-align: justify;
}

.redes-box h3{
    font-size: 1.57894736vw;
    margin: 1.57894736vw 0;
    font-weight: 700;
}

.center{
    justify-content: center;
}

.right{
    border-right: 0.1052631578vw solid white;
}

/* SERVICIOS */

#servicios{
    padding: 2.105263157vw 0;
    display: flex;
    justify-content: center;
}

.servicios-container{
    width: 80%;
}

.servicios-box{
    display: flex;
    justify-content: space-evenly;
    padding: 2.631578947vw 0;
}

.servicios-img{
    width: 40%;
}

.servicios-img img{
    width: 100%;
}

.servicios-txt{
    width: 45%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: justify;
}

.servicios-txt p{
    font-size: 1.05263157vw;
}

.servicios-txt h2{
    font-size: 1.57894736vw;
    font-weight: 700;
    margin: 1.05263157vw 0;
}

/* CONTACTO */

#contacto{
    padding: 2.105263157vw 0;
    display: flex;
    justify-content: center;
    background-color: #ebf6fc;
}

.contacto-container{
    width: 60%;
    display: flex;
    justify-content: space-evenly;
}

.contacto-logo{
    width: 15%;
    display: flex;
    justify-content: end;
}

.contacto-logo img{
    width: 100%;
}

.contacto-txt{
    width: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 1.31578947368vw;
}

.contacto-txt a{
    color: black;
    font-size: 1.31578947368vw;
}

.contacto-txt a:hover{
    opacity: 0.7;
}

/* PBX */

#pbx{
    padding: 0.5263157894vw 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #363198;
}

.pbx-container{
    font-size: 1.31578947368vw;
    color: white;
}

/* WHATSAPP */

.float{
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    left: 40px;
    background-color:#25d366;
    color:#fff;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 3px #999;
     z-index: 100;
}
.float:hover {
    text-decoration: none;
    color: #25d366;
  background-color:#fff;
}

.my-float{
    margin-top:16px;
}

/* 
----------------------------------------------------------------------------------------------------
---------------------------------------------RESPONSIVE---------------------------------------------
----------------------------------------------------------------------------------------------------
*/

@media (max-width: 768px){
    
    #contacto-nav{
        height: 55px;
    }

    .nav-item-img{
        display: none;
    }

    nav{
        position: fixed;
        padding: 15px;
    }
    .nav-container{
        display: block;
        height: 60px;
        width: 80%;
    }

    .nav-logo{
        height: 100%;
    }

    .nav-logo img{
        height: 90%;
    }

    .nav-logo-container label{
        display: block;
    }

    .nav-logo-container{
        display: flex;
        padding: 0 30px;
        justify-content: space-between;
        align-items: center;
        height: 100%;
        width: 100%;
        margin: 0;
    }

    .checkbtn{
        margin: 0;
        font-size: 20px;
    }

    #check:checked ~ .nav-logo-container{
        margin: 0;
    }

    #check:checked ~ .nav-enlaces-container{
        left: 0;
        top: -20px;
        z-index: -1;
        padding: 150px 0;
    }

    .nav-item{
        padding: 15px 35vw;
        border: 2px solid black;
        margin: 15px 0;
        border-radius: 20px;
        font-size: 25px;
    }

    .nav-enlaces{
        display: flex;
        flex-direction: column;
        height: fit-content;
    }

    .nav-enlaces-container{
        width: 100vw;
        height: 100vh;
        background-color: white;
        position: absolute;
        left: -180%;
        transition: all 0.5s;
        border-top: 1px solid rgb(200, 200, 200);
    }

    .nav-responsive-active{
        width: 100vw;
        height: 100vh;
        /* margin-bottom: 10px; */
        border: none;
        top: 0;
        left: 0;
    }
    body{
        margin: 0;
    }

    /* NOSOTROS */

    .nosotros-container{
        flex-direction: column;
    }

    .nosotros-txt{
        width: 100%;
    }

    .nosotros-txt h1, .nosotros-txt h2{
        font-size: 22px;
    }

    .nosotros-txt p{
        font-size: 17px;
    }

    .nosotros-img{
        width: 40%;
    }

    /* WIPS */

    .wisp-txt p{
        font-size: 17px;
    }

    .wisp-boxes{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
    }

    .box-txt{
        font-size: 1.5625vw;
    }

    .box-img{
        width: 40%;
    }

    /* REDES */

    #redes{
        padding: 22px 0;
    }

    .redes-container{
        flex-wrap: nowrap;
        flex-direction: column;
        align-items: center;
    }

    .right{
        border: none;
    }

    .redes-box-container{
        width: 85%;
        margin: 0;
    }

    .redes-box{
        font-size: 12px;
        align-items: center;
    }

    .redes-img{
        width: 15%;
    }

    .redes-box h3{
        font-size: 15px;
        display: flex;
        justify-content: center;
    }

    .solo{
        width: 80%;
        border: none;
        margin: 0;
        padding: 0;
    }
    

    .center{
        align-items: center;
    }

    /* SERVICIOS */

    .servicios-box{
        flex-direction: column-reverse;
        align-items: center;
    }

    .servicios-txt{
        width: 100%;
    }

    .servicios-txt h2{
        font-size: 17px;
    }

    .servicios-txt p{
        font-size: 12px;
    }

    .normal{
        flex-direction: column;
    }

    /* CONTACTO */

    .contacto-container{
        width: 70%;
    }

    .contacto-logo{
        width: 30%;
        margin: 20px 0;
    }

    .contacto-txt, .contacto-txt a{
        font-size: 15px;
    }

    /* PBX */

    .pbx-container{
        font-size: 17px;
    }
    
}

@media (max-width: 525px){
    #contacto-nav{
        height: 52px;
    }

    .contacto-container{
        width: 90%;
    }

    .contacto-logo{
        width: 25%;
    }

    .contacto-txt{
        width: 40%;
        font-size: 12px;
    }

    .contacto-txt a{
        font-size: 12px;
    }

    .wisp-boxes{
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .box-txt{
        font-size: 12px;
    }
}

